Subject: Re: linux-next: build failure after merge of the aio tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 15 Jan 2016 20:23:16 +1100

Hi Christoph,

On Thu, 14 Jan 2016 23:39:44 -0800 Christoph Hellwig <[email-masked]> wrote:
>
> On Tue, Jan 12, 2016 at 04:40:34PM +1100, Stephen Rothwell wrote:
> > Hi Benjamin,
> > 
> > After merging the aio tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > fs/built-in.o: In function `aio_thread_op_foo_at':
> > file.c:(.text+0x43808): undefined reference to `__get_user_bad'
> > file.c:(.text+0x43838): undefined reference to `__get_user_bad'
> > 
> > Caused by commit
> > 
> >   150a0b4905f1 ("aio: add support for async openat()")  
> 
> How did that code end up in linux-next anyway?

Via the aio tree (git://git.kvack.org/~bcrl/aio-next.git#master) added
in July 2013 at Ben's request.  The code was added to the aio tree in
Jan 12 (my time), but has never been in a published linux-next tree due
to the above build problem (I back out to the previous days version of
the aio tree).

-- 
Cheers,
Stephen Rothwell                    [email-masked]